Skip to main content
PATCH
/
projects
/
{project_id}
/
trigger-subscriptions
/
{subscription_id}
Update Trigger Subscription
curl --request PATCH \
  --url https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions/{subscription_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "parameters": {
    "objectType": "Opportunity",
    "filterFormula": null
  },
  "webhookOverride": null
}
'
import requests

url = "https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions/{subscription_id}"

payload = {
"parameters": {
"objectType": "Opportunity",
"filterFormula": None
},
"webhookOverride": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
parameters: {objectType: 'Opportunity', filterFormula: null},
webhookOverride: null
})
};

fetch('https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions/{subscription_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<uuid>",
  "type": "SALESFORCE_TRIGGER_RECORD_CREATED",
  "parameters": {
    "objectType": "Opportunity"
  },
  "status": "ACTIVE",
  "dateCreated": "2025-05-31T00:00:00Z",
  "dateLastReceivedEvent": "2025-05-31T00:00:00Z",
  "credentialId": "<uuid>"
}
{
"message": "`type` cannot be updated in a trigger subscription. Instead, unsubscribe from this trigger and create a new subscription with the desired `type`.",
"status": 400
}

Authorizations

Authorization
string
header
required

Your Paragon User Token (JWT), which you can generate using your project's signing keys.

Path Parameters

project_id
string
required

Your Paragon Project ID

subscription_id
string<uuid>
required

The trigger subscription ID

Body

application/json
parameters
object

The trigger configuration parameters to update. Omitted keys unchanged, provided keys overwrite, null removes keys.

webhookOverride
object | null

Update or clear (with null) the webhook override

Response

Success - Returns the updated trigger subscription

id
string<uuid>
required

The subscription ID

Example:

"<uuid>"

type
string
required

The trigger type

Example:

"SALESFORCE_TRIGGER_RECORD_CREATED"

parameters
object
required

The trigger configuration parameters

Example:
{ "recordType": "Opportunity" }
status
enum<string>
required

ACTIVE: currently receiving events. ERRORED: errors checking for records or repeated webhook delivery issues resulted in the trigger being disabled.

Available options:
ACTIVE,
ERRORED
dateCreated
string<date-time>
required

The date the subscription was created

Example:

"2025-05-31T00:00:00Z"

dateLastReceivedEvent
string<date-time>
required

For polling triggers: date we last checked for new records. For webhook triggers: date we last received a webhook event.

Example:

"2025-05-31T00:00:00Z"

credentialId
string<uuid>
required

The credential ID associated with this subscription

Example:

"<uuid>"

error
string

The reason for an error (only present when status is ERRORED)

Example:

"Failed to check for new records after repeated failures. Last error: Request failed with 500 { ... error info ... }"

webhookOverride
object

Undefined if no webhook override is set for this subscription